<?php
$db = mysqli_connect('localhost', 'root', '', 'kupauto');
if (!$db) {
    echo mysqli_error($db);
}
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Komis aut</title>
    <link rel="stylesheet" href="styl.css">
</head>
<body>
<header>
    <h1><i>KupAuto!</i> Internetowy Komis Samochodowy!</h1>
</header>
<main id="main-1">
    <?php
        $sql1 = "SELECT model, rocznik, przebieg, paliwo, cena, zdjecie FROM samochody WHERE id = 10;";
        $result1 = mysqli_query($db, $sql1);
        if (mysqli_num_rows($result1) != 0) {
            while ($row = mysqli_fetch_assoc($result1)) {
                echo "<img src='{$row['zdjecie']}' alt='oferta dnia'>";
                echo "<h4>Oferta dnia: Toyoya {$row['model']}</h4>";
                echo "<p>Rocznik: {$row['rocznik']}, przebieg: {$row['przebieg']}, rodzaj paliwa: {$row['paliwo']}</p>";
                echo "<h4>Cena: {$row['cena']} zł</h4>";
            }
        }
    ?>
</main>
<main id="main-2">
    <h2>Oferty Wyróżnione</h2>
    <?php
        $sql2 = "SELECT nazwa, model, rocznik, cena, zdjecie FROM marki JOIN samochody ON marki.id = samochody.marki_id WHERE wyrozniony = true LIMIT 4;";
        $result2 = mysqli_query($db, $sql2);
        if (mysqli_num_rows($result2) != 0) {
            while ($row = mysqli_fetch_assoc($result2)) {
                echo "<div class='script-2-block'>";
                echo "<img src='{$row['zdjecie']}' alt='{$row['model']}'>";
                echo "<h4>{$row['nazwa']} {$row['model']}</h4>";
                echo "<p>Rocznik: {$row['rocznik']}</p>";
                echo "<h4>Cena: {$row['cena']} zł</h4>";
                echo "</div>";
            }
        }
    ?>
</main>
<main id="main-3">
    <h2>Wybierz markę:</h2>
    <form action="" method="post">
        <label for="script3"></label>
        <select name="script3" id="script3">
            <?php
                $sql3 = "SELECT id, nazwa FROM marki;";
                $result3 = mysqli_query($db, $sql3);
                if (mysqli_num_rows($result3) != 0) {
                    while ($row = mysqli_fetch_assoc($result3)) {
                        echo "<option value='{$row['nazwa']}'>{$row['nazwa']}</option>";
                    }
                }
            ?>
        </select>
        <button type="submit">Wyszukaj</button>
    </form>
    <?php
        if ($_SERVER['REQUEST_METHOD'] == 'POST') {
            $marka = htmlspecialchars($_POST['script3']);
            $sql4 = "SELECT nazwa, model, cena, zdjecie FROM samochody JOIN marki ON samochody.marki_id = marki.id WHERE marki.nazwa = '$marka';";
            $result4 = mysqli_query($db, $sql4);
            if (mysqli_num_rows($result4) != 0) {
                echo "<h2>Oferty dla wybranej marki:</h2>";
                while ($row = mysqli_fetch_assoc($result4)) {
                    echo "<div class='script-3-block'>";
                    echo "<img src='{$row['zdjecie']}' alt='{$row['model']}'>";
                    echo "<h4>{$row['nazwa']} {$row['model']}</h4>";
                    echo "<h4>Cena: {$row['cena']}</h4>";
                    echo "</div>";
                }
            }
        }
    ?>
</main>
<footer>
    <p>Stronę wykonał: Jakub Grzegorczyk 3p/1</p>
    <p><a href="http://firmy.pl/komis">Znajdź nas także</a></p>
</footer>
</body>
</html>
<?php
mysqli_close($db);